# Strip all internal perl(Tk::*) requirements from built RPM:
%global __requires_exclude ^perl\\(Tk::.*

Name:           perl-Tk
Version:        804.036
Release:        1%{?dist}
Summary:        Graphical user interface toolkit for Perl
License:        Distributable, see COPYING
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Tk/
Source0: 		https://deb.debian.org/debian/pool/main/p/perl-tk/perl-tk_804.036+dfsg1.orig.tar.xz
Source1: 		https://deb.debian.org/debian/pool/main/p/perl-tk/perl-tk_804.036+dfsg1-5.debian.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(Encode)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(Encode)
Requires:       perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Patches from https://deb.debian.org/debian/pool/main/p/perl-tk/perl-tk_804.036+dfsg1-5.debian.tar.xz:
Patch0: 20-pngsuite-lic.patch
#Patch1: 30-xft-support.patch
Patch2: 60-man-name.patch
Patch3: 70-spellings.patch
Patch4: 80-Fix-STRLEN-vs-int-pointer-confusion-in-Tcl_GetByteAr.patch
Patch5: gcc-14.patch
Patch6: gcc-15.patch

%description
The Perl/Tk manual is split up into a number of sections:

%prep
%setup -q -n perl-tk-804.036+dfsg1

# Unpack Debian patches (Source1) and apply them
tar xf %{SOURCE1}
%patch -P 0 -p1
# %patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 5 -p1
%patch -P 6 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc add_version build_ptk Change.log Changes checklen check_source check_syms cleanup copydate COPYING db57 debug debug.bat dupsyms exetype fixfunc Funcs.doc gdb.plx gedi generate hackMM keyWords menubug META.json mkExt mkppm.bat myConfig needed perlfiles PPM-HowTo ptked ptksh r README README-ActiveState.txt README.AIX README.cygwin README.darwin README.HPUX README.IRIX README.linux README.OpenBSD README.os2 README.OSF README.SCO README.Solaris README-Strawberry.txt README.SVR4 README.ultrix rebuild sm stripblib submethods symbols tcl2perl tkGlue.def tkGlue.exc tkGlue.m tkGlue.t TkXSUB.def ToDo uninstall VERSIONS vg vtab.def wal
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Tk*
%{perl_vendorarch}/Tie/Watch.pm
%{_bindir}/gedi
%{_bindir}/ptked
%{_bindir}/ptksh
%{_bindir}/tkjpeg
%{_bindir}/widget
%{_mandir}/man1/ptked.1*
%{_mandir}/man1/ptksh.1*
%{_mandir}/man1/tkjpeg.1*
%{_mandir}/man1/widget.1*
%{_mandir}/man3/*

%changelog
* Wed Jun 18 2025 Michael Stauber <mstauber@blueonyx.it> 804.036-1
- Specfile autogenerated by cpanspec 1.78.
- Code from CPAN didn't compile. Grabbed the Debian souces and patches
  instead and used them. Minus the 30-xft-support.patch, which is not
  needed.
